> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axisfi.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transfer Details

> Get a specific transaction by specifying the (Id).



## OpenAPI

````yaml /openapi.json get /api/transactions/transfer/detail
openapi: 3.0.1
info:
  title: AxisFi API 接口文档
  description: 认证需同时提供 API Key 和 Secret
  version: v1.0.0
servers:
  - url: http://127.0.0.1:8083
    description: Generated server url
security:
  - X-API-Key: []
    X-API-Secret: []
paths:
  /api/transactions/transfer/detail:
    get:
      tags:
        - Transactions
      summary: Get Transfer Details
      description: Get a specific transaction by specifying the (Id).
      operationId: transferDetail
      parameters:
        - name: partner_transaction_id
          in: query
          description: Partner Transaction Id
          required: false
          schema:
            type: string
        - name: transaction_id
          in: query
          description: Transaction Id
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Operation Successful
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/TransferDetailsRespVo'
        '400':
          description: Invalid Parameter
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '403':
          description: Forbidden (No Permission)
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '404':
          description: Not Found
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '405':
          description: Method Not Allowed
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorRespVo'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
components:
  schemas:
    TransferDetailsRespVo:
      required:
        - partner_transaction_id
        - transaction_id
      type: object
      properties:
        transaction_type:
          type: string
          description: Transaction Type
          enum:
            - transfer
        transaction_id:
          type: string
          description: Transaction Id
          example: txn_eccc836977084fc68500d11fba100f32
        partner_transaction_id:
          maxLength: 64
          minLength: 20
          type: string
          description: Partner Transaction Id
        source:
          $ref: '#/components/schemas/Source'
        target:
          $ref: '#/components/schemas/Target'
        status:
          type: string
          description: Status
          example: completed
          enum:
            - pending
            - completed
            - failed
        customer_id:
          type: string
          description: Unique customer ID
          example: cus_79fb361a05074629bf1ecf0d14cd244e
        recipient_id:
          type: string
          description: Unique Recipient ID
          example: rcp_ff624a5b02d44c98af91698e0bc69118
        exchange_rate:
          type: number
        fee:
          type: number
        purpose_code:
          type: string
          description: Payment purpose code
          example: Payment for Physical Goods
          enum:
            - Payment for Physical Goods
            - Other
        notes:
          type: string
          description: Notes
        created_at:
          type: string
          format: date-time
        audit_at:
          type: string
          format: date-time
        completed_at:
          type: string
          format: date-time
        customer:
          $ref: '#/components/schemas/CustomerDetailsRespVo'
        recipient:
          $ref: '#/components/schemas/RecipientDetailsRespVo'
        file_id_list:
          type: array
          items:
            type: string
    ErrorRespVo:
      type: object
      properties:
        errors:
          type: array
          description: 错误信息列表
          items:
            $ref: '#/components/schemas/ErrorDetailRespVo'
      description: 错误响应结果
    Source:
      required:
        - amount
        - currency
      type: object
      properties:
        currency:
          pattern: USDT|USDC|USD
          type: string
          description: Source Currency
          example: USDT
          enum:
            - USDT
            - USDC
            - USD
        network:
          pattern: ETH|TRX
          type: string
          description: Source Network
          example: ETH
          enum:
            - ETH
            - TRX
        amount:
          maximum: 100000000
          exclusiveMaximum: false
          minimum: 0.01
          exclusiveMinimum: false
          type: number
          description: Source Amount
          example: 99.99
      description: Source
    Target:
      required:
        - amount
        - currency
      type: object
      properties:
        currency:
          pattern: USDT|USDC|USD
          type: string
          description: Target Currency
          example: USDT
          enum:
            - USDT
            - USDC
            - USD
        network:
          pattern: ETH|TRX
          type: string
          description: Target Network
          example: ETH
          enum:
            - ETH
            - TRX
        amount:
          maximum: 100000000
          exclusiveMaximum: false
          minimum: 0.01
          exclusiveMinimum: false
          type: number
          description: Target Amount
          example: 99.99
      description: Target
    CustomerDetailsRespVo:
      required:
        - business_details
        - partner_customer_id
        - registration_address
      type: object
      properties:
        customer_id:
          type: string
          description: Unique Customer ID
          example: cus_79fb361a05074629bf1ecf0d14cd244e
        partner_customer_id:
          maxLength: 64
          minLength: 20
          type: string
          description: Partner Assigned Customer ID
        status:
          type: string
          description: Customer status
          example: active
          enum:
            - pending
            - active
            - rejected
            - suspended
        created_at:
          type: string
          description: Customer created time
          format: date-time
        business_details:
          $ref: '#/components/schemas/BusinessDetails'
        account_usage:
          $ref: '#/components/schemas/AccountUsage'
        registration_address:
          $ref: '#/components/schemas/RegistrationAddress'
        primary_contact:
          $ref: '#/components/schemas/PrimaryContact'
        business_person_list:
          type: array
          description: List of Legal Representatives
          items:
            $ref: '#/components/schemas/CustomerDetailsLegalRespVo'
      description: Customer Details Response Information
    RecipientDetailsRespVo:
      required:
        - business_name
        - business_type
        - country_code
        - partner_recipient_id
      type: object
      properties:
        recipient_id:
          type: string
          description: Unique Recipient ID
          example: rcp_ff624a5b02d44c98af91698e0bc69118
        partner_recipient_id:
          maxLength: 64
          minLength: 20
          type: string
          description: Partner Assigned Recipient ID
        status:
          type: string
          description: Status
          example: active
          enum:
            - pending
            - active
            - rejected
            - suspended
        business_name:
          maxLength: 128
          minLength: 2
          type: string
          description: Business Name
        business_type:
          pattern: ^(Business|Individual)$
          type: string
          description: Business Type
          enum:
            - Business
            - Individual
        country_code:
          pattern: ^(CN)$
          type: string
          description: Country Code
          example: CN
          enum:
            - CN
        website:
          maxLength: 225
          type: string
          description: Website
          example: https://www.example.com
        created_at:
          type: string
          format: date-time
        address_info:
          $ref: '#/components/schemas/AddressInfo'
        payment_details:
          $ref: '#/components/schemas/AccountType'
        file_id_list:
          maxItems: 10
          minItems: 0
          type: array
          description: List of file IDs
          items:
            type: string
            description: List of file IDs
    ErrorDetailRespVo:
      type: object
      properties:
        detail:
          type: string
          description: 错误详细描述
          example: Invalid organizationId
        code:
          type: string
          description: 错误码
          example: ORG_ID_INVALID
      description: 错误详情
    BusinessDetails:
      required:
        - business_identifier_country_code
        - business_identifier_document_list
        - business_identifier_number
        - business_identifier_type
        - business_name_english
        - business_type
        - website
      type: object
      properties:
        business_name:
          maxLength: 225
          minLength: 0
          type: string
          description: Business Name (Chinese)
        business_name_english:
          maxLength: 225
          minLength: 0
          type: string
          description: Business Name (Local Language)
        business_type:
          pattern: >-
            ^(Limited Liability Company|Corporation|Partnership|Sole
            Proprietorship)$
          type: string
          description: Business Type
          enum:
            - Limited Liability Company
            - Corporation
            - Partnership
            - Sole Proprietorship
        website:
          maxLength: 225
          type: string
          description: Corporate Website
          example: https://www.example.com
        business_identifier_type:
          pattern: ^(Business Registration|Article of Association)$
          type: string
          description: License Type
          enum:
            - Business Registration
            - Article of Association
        business_identifier_number:
          maxLength: 64
          minLength: 4
          type: string
          description: License Number
        business_identifier_country_code:
          maxLength: 2
          minLength: 2
          type: string
          description: Issuing Country
          example: US
        business_identifier_start_date:
          type: string
          description: Start Date
          format: date-time
        business_identifier_expiry_date:
          type: string
          description: Expiry Date
          format: date-time
        business_identifier_document_list:
          type: array
          description: List of license file IDs
          items:
            type: string
            description: List of license file IDs
      description: Company Details Section
    AccountUsage:
      type: object
      properties:
        operating_country:
          maxLength: 2
          minLength: 2
          type: string
          description: Operating Country
          example: US
        goods_service_description:
          maxLength: 255
          minLength: 0
          type: string
          description: Goods Service Description
        industry_category_code:
          maxLength: 10
          minLength: 4
          type: string
          description: Industry Category Code
        account_usage_product_reference:
          pattern: >-
            ^(Financial Services|Payment Processing & Card Services|Retail &
            Trading|Business & Professional Services)$
          type: string
          description: Product Type
          enum:
            - Financial Services
            - Payment Processing & Card Services
            - Retail & Trading
            - Business & Professional Services
        estimated_monthly_revenue_currency:
          maxLength: 3
          minLength: 3
          pattern: ^(USD)$
          type: string
          description: Currency
          example: USD
          enum:
            - USD
        estimated_monthly_revenue_amount:
          maximum: 1000000
          exclusiveMaximum: false
          minimum: 0.01
          exclusiveMinimum: false
          type: number
          description: Estimated Monthly Revenue
          format: decimal
          example: 99.99
      description: Business Details Section
    RegistrationAddress:
      required:
        - registration_address_city
        - registration_address_country_code
        - registration_address_line1
        - registration_address_postcode
        - registration_address_state
      type: object
      properties:
        registration_address_line1:
          maxLength: 255
          minLength: 0
          type: string
          description: Registration Address Line 1
        registration_address_city:
          maxLength: 64
          minLength: 0
          type: string
          description: Registration Address City
        registration_address_state:
          maxLength: 64
          minLength: 0
          type: string
          description: Registration Address State
        registration_address_postcode:
          maxLength: 10
          minLength: 3
          type: string
          description: Registration Address Postcode
        registration_address_country_code:
          maxLength: 2
          minLength: 2
          type: string
          description: Registration Address Country Code
          example: US
      description: Registration Address Section
    PrimaryContact:
      type: object
      properties:
        contact_phone:
          pattern: ^\+\d{1,3}\d{6,12}$
          type: string
          description: Contact Phone
          example: '+8613800138000'
        contact_email:
          maxLength: 128
          minLength: 0
          type: string
          description: Contact Email
          example: service@gemini.com
      description: Primary Contact Section
    CustomerDetailsLegalRespVo:
      type: object
      properties:
        basic_info:
          $ref: '#/components/schemas/BasicInfo'
        residential_address:
          $ref: '#/components/schemas/ResidentialAddress'
        identification:
          $ref: '#/components/schemas/Identification'
      description: Customer Legal Representative Details Response
    AddressInfo:
      type: object
      properties:
        address_line_1:
          maxLength: 255
          minLength: 0
          type: string
          description: Address Line 1
        address_line_2:
          maxLength: 255
          minLength: 0
          type: string
          description: Address Line 2
        city:
          maxLength: 64
          minLength: 0
          type: string
          description: City
        state:
          maxLength: 64
          minLength: 0
          type: string
          description: State/Province
        post_code:
          maxLength: 16
          minLength: 3
          type: string
          description: Post Code
      description: Address Information
    AccountType:
      required:
        - account_type
      type: object
      properties:
        account_type:
          type: string
      description: Payment details
      discriminator:
        propertyName: account_type
        mapping:
          bank:
            $ref: '#/components/schemas/BankAccount'
          crypto:
            $ref: '#/components/schemas/CryptoAccount'
      oneOf:
        - $ref: '#/components/schemas/BankAccount'
        - $ref: '#/components/schemas/CryptoAccount'
    BasicInfo:
      required:
        - birth_date
        - first_name_english
        - last_name_english
        - nationality
        - role_type
      type: object
      properties:
        first_name:
          maxLength: 64
          minLength: 0
          type: string
          description: First Name (Local)
        first_name_english:
          maxLength: 64
          minLength: 0
          type: string
          description: First Name (English)
        last_name:
          maxLength: 64
          minLength: 0
          type: string
          description: Last Name (Local)
        last_name_english:
          maxLength: 64
          minLength: 0
          type: string
          description: Last Name (English)
        birth_date:
          type: string
          description: Date of Birth
          format: date-time
        nationality:
          maxLength: 2
          minLength: 2
          type: string
          description: Nationality
          example: US
        role_type:
          pattern: ^(Director|UBO|Director,UBO)$
          type: string
          description: Role Type
          enum:
            - Director
            - UBO
            - Director,UBO
      description: Basic personal information
    ResidentialAddress:
      required:
        - residential_address_city
        - residential_address_country_code
        - residential_address_line1
        - residential_address_postcode
        - residential_address_state
      type: object
      properties:
        residential_address_line1:
          maxLength: 255
          minLength: 0
          type: string
          description: Address line 1
        residential_address_city:
          maxLength: 64
          minLength: 0
          type: string
          description: City
        residential_address_postcode:
          maxLength: 16
          minLength: 3
          type: string
          description: Postcode
        residential_address_country_code:
          maxLength: 2
          minLength: 2
          type: string
          description: Country Code
          example: US
        residential_address_state:
          maxLength: 64
          minLength: 0
          type: string
          description: State/Province
      description: Residential address information
    Identification:
      required:
        - id_expiration_date
        - id_issue_date
        - id_issuing_country_code
        - id_number
        - id_type
      type: object
      properties:
        id_type:
          pattern: ^(National ID|Passport)$
          type: string
          description: ID Type
          enum:
            - National ID
            - Passport
        id_number:
          maxLength: 64
          minLength: 4
          type: string
          description: ID Number
        id_issuing_country_code:
          maxLength: 2
          minLength: 2
          type: string
          description: ID Issuing Country
          example: US
        id_expiration_date:
          type: string
          description: ID Expiry Date
          format: date-time
        id_issue_date:
          type: string
          description: ID Issue Date
          format: date-time
        id_document_front_file_id:
          type: string
          description: ID Document Front File ID
        id_document_back_file_id:
          type: string
          description: ID Document Back File ID
      description: Identity document information
    BankAccount:
      required:
        - account_currency
        - account_name
        - account_number
        - bank_name
        - country_code
        - network
        - swift_code
      type: object
      allOf:
        - $ref: '#/components/schemas/AccountType'
        - type: object
          properties:
            bank_name:
              maxLength: 128
              minLength: 2
              type: string
              description: Bank Name
              example: JPMorgan Chase
            network:
              maxLength: 32
              minLength: 2
              pattern: ^(SWIFT|ACH|SEPA|RTGS|FPS)$
              type: string
              description: Network
              example: SWIFT
            payment_method:
              pattern: ^(INTERNATIONAL_WIRE|LOCAL)$
              type: string
              description: Payment Method
              example: INTERNATIONAL_WIRE
            account_name:
              maxLength: 128
              minLength: 2
              type: string
              description: Account Name
            account_number:
              maxLength: 64
              minLength: 8
              pattern: ^[A-Z0-9]+$
              type: string
              description: Account Number
            swift_code:
              maxLength: 11
              minLength: 8
              pattern: ^[A-Z]{6}[A-Z0-9]{2}([A-Z0-9]{3})?$
              type: string
              description: SWIFT/BIC Code
            account_currency:
              maxLength: 3
              minLength: 3
              type: string
              description: Account Currency
              example: USD
            country_code:
              pattern: ^(CN)$
              type: string
              description: Country Code
              example: CN
              enum:
                - CN
            local_bank_code:
              maxLength: 23
              minLength: 3
              type: string
              description: Local Bank Code
    CryptoAccount:
      required:
        - currency
        - network
        - wallet_address
        - wallet_name
      type: object
      allOf:
        - $ref: '#/components/schemas/AccountType'
        - type: object
          properties:
            wallet_name:
              maxLength: 128
              minLength: 2
              type: string
              description: Wallet Name
            wallet_address:
              maxLength: 64
              minLength: 26
              pattern: ^[a-zA-Z0-9]+$
              type: string
              description: Wallet Address
            network:
              maxLength: 32
              minLength: 2
              pattern: ^(ETH|TRX)$
              type: string
              description: Blockchain Network
              example: ETH
              enum:
                - ETH,TRX
            currency:
              maxLength: 10
              minLength: 2
              pattern: ^[A-Z0-9]+$
              type: string
              description: Currency
              example: USDT
              enum:
                - USDT,USDC
  securitySchemes:
    X-API-Key:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    X-API-Secret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````